/*

  Linear Hall Magnetic Module (Digital)

  Parts required:
  - Arduino Board
  - Linear Hall Magnetic Module
  - LED (Any Color)
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 12 Jun 2019
  Version : v1.0

*/

// Initialize all variables
int ledPin = 8;
int linearyHallModuleDigitalPin = 2;
int linearyHallModuleDigitalRead;

void setup() {
  pinMode (ledPin, OUTPUT);                                                 // Set ledPin as OUTPUT
  pinMode (linearyHallModuleDigitalPin, INPUT);                             // Set linearyHallModuleDigitalPin as INPUT
}

void loop() {

  linearyHallModuleDigitalRead = digitalRead(linearyHallModuleDigitalPin);  // Read linearyHallModuleDigitalPin value and store in linearyHallModuleDigitalRead

  if (linearyHallModuleDigitalRead == HIGH){                                // If linearyHallModuleDigitalRead == HIGH Do
    digitalWrite(ledPin,HIGH);                                              // Turn ON LED
  }
  else{
    digitalWrite(ledPin,LOW);                                               // Turn OFF LED
  }

}
